com.holonplatform.core.exceptions

## Class DataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.core.exceptions.DataAccessException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    LockAcquisitionException

      public class DataAccessException
      extends RuntimeException

  Generic exception for data access errors.

  Note that this is a runtime (unchecked) exception.

  Since:
    3.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataAccessException(String message)` Constructor with error message
    `DataAccessException(String message, Throwable cause)` Constructor with error message and nested exception
    `DataAccessException(Throwable cause)` Constructor with nested exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataAccessException

          public DataAccessException(String message)

      Constructor with error message
      Parameters:
        `message` - Error message

    - #### DataAccessException

          public DataAccessException(Throwable cause)

      Constructor with nested exception
      Parameters:
        `cause` - Nested exception

    - #### DataAccessException

          public DataAccessException(String message,
                                     Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.